On Fri, 19 May 2006, Jon Dean wrote:

> unknown wrote:
>> On Fri, 19 May 2006, Jon Dean wrote:
>>
>>>> file
>>> $ruby setup.rb
>>> $ruby -v ... works
>>> ruby 1.8.4 (2005-12-24) [i386-cygwin]
>>>
>>> So I remembered that I still had the windows one-click version of ruby
>>> installed and thought that that might cause some trouble, so I
>>> uninstalled it.  Nothing chnaged.  Could it be a problem with an
>>> environment variable?  I'm not sure what I would need to set if it was.
>>>
>>> Jon
>>
>> unset RUBYOPT
>>
>> -a
>
> RUBYOPT was unset when I unistalled the windows ruby and is no longer an
> environment variable
>
> jon

then something is fishy.  the error you showed is caused by

   RUBYOPT='-rubygems'

what does this say

   harp:~ > ruby -r yaml -e'  y ENV[% RUBYOPT ]  '

??

-a
-- 
be kind whenever possible... it is always possible.
- h.h. the 14th dali lama